#include <iostream>
#include <type_traits>

template<typename T, typename U>
constexpr bool are_same_types() {
    return std::is_same<T, U>::value;
}

int main() {
    constexpr bool result1 = are_same_types<int, int>();
    constexpr bool result2 = are_same_types<int, double>();

    static_assert(result1, "int and int should be the same type");
    static_assert(!result2, "int and double should not be the same type");

    std::cout << "All static assertions passed!" << std::endl;

    return 0;
}
